## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate crossbeam-utils

Name:           rust-crossbeam-utils
Version:        0.8.19
Release:        %autorelease
Summary:        Utilities for concurrent programming

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/crossbeam-utils
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          crossbeam-utils-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Utilities for concurrent programming.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Jan 11 2024 Fabio Valentini <decathorpe@gmail.com> - 0.8.19-1
- Update to version 0.8.19; Fixes RHBZ#2257265

* Wed Dec 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.8.18-1
- Update to version 0.8.18; Fixes RHBZ#2254357

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jun 23 2023 Fabio Valentini <decathorpe@gmail.com> - 0.8.16-1
- Update to version 0.8.16; Fixes RHBZ#2214341

* Tue Feb 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.8.15-1
- Update to version 0.8.15; Fixes RHBZ#2173988

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 14 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.14-1
- Update to version 0.8.14; Fixes RHBZ#2144268

* Sat Oct 08 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.12-1
- Update to version 0.8.12; Fixes RHBZ#2130741

* Wed Jul 27 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.11-1
- Update to version 0.8.11; Fixes RHBZ#2110075

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.10-1
- Update to version 0.8.10; Fixes RHBZ#2097835

* Tue Mar 29 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.8-1
- Update to version 0.8.8; Fixes RHBZ#2064279

* Mon Feb 07 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.7-1
- Update to version 0.8.7; Fixes RHBZ#2050976

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 10 2022 Fabio Valentini <decathorpe@gmail.com> - 0.8.6-1
- Update to version 0.8.6; Fixes RHBZ#2038602

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 02 2021 Fabio Valentini <decathorpe@gmail.com> - 0.8.5-1
- Update to version 0.8.5.
- Fixes RHBZ#1965796

* Thu Apr 29 2021 Fabio Valentini <decathorpe@gmail.com> - 0.8.4-1
- Update to version 0.8.4.
- Fixes RHBZ#1955264

* Thu Feb 25 2021 Fabio Valentini <decathorpe@gmail.com> - 0.8.3-2
- Temporarily disable doc tests on armv7hl.

* Thu Feb 25 2021 Fabio Valentini <decathorpe@gmail.com> - 0.8.3-1
- Update to version 0.8.3.
- Fixes RHBZ#1931105

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 28 2020 Fabio Valentini <decathorpe@gmail.com> - 0.8.1-1
- Update to version 0.8.1.
- Fixes RHBZ#1901762

* Thu Nov 12 2020 Fabio Valentini <decathorpe@gmail.com> - 0.8.0-2
- Include upstream patch to fix locking issues on 32-bit architectures.

* Thu Nov 12 2020 Fabio Valentini <decathorpe@gmail.com> - 0.8.0-1
- Update to version 0.8.0.
- Fixes RHBZ#1887300

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Feb 23 11:22:53 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.7.2-1
- Update to 0.7.2

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 0.7.0-2
- Bump to autocfg 1

* Tue Nov 19 11:29:47 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Sun Sep 08 09:22:15 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.6-1
- Update to 0.6.6

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 11:40:30 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.5-4
- Regenerate

* Sun Jun 09 00:01:43 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.5-3
- Regenerate

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 29 2019 Josh Stone <jistone@redhat.com> - 0.6.5-1
- Update to 0.6.5

* Mon Jan 28 2019 Josh Stone <jistone@redhat.com> - 0.6.4-1
- Update to 0.6.4

* Sat Dec 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-1
- Update to 0.6.3

* Sat Oct 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-2
- Run tests in infrastructure

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Sat Jun 16 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Thu Mar 22 2018 Josh Stone <jistone@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Thu Feb 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-1
- Initial package

